SQ(1)

NAME
sq packet dump - List packets

SYNOPSIS
sq packet dump [OPTIONS] FILE

DESCRIPTION
List packets.

Creates a human-readable description of the packet sequence. Additionally, it can print cryptographic artifacts, and print the raw octet stream similar to hexdump(1), annotating specifically which bytes are parsed into OpenPGP values.

If the packet stream includes an encryption container, `sq` will attempt to decrypt it.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Dump the packets of the certificate with the specified fingerprint or key ID

--cert-email=EMAIL
    Dump the packets of the certificate where a user ID includes the specified email address

--cert-file=PATH
    Dump the packets of the cert read from PATH

--cert-userid=USERID
    Dump the packets of the certificate with the specified user ID

--hex
    Print a hexdump

--mpis
    Print cryptographic artifacts

--output=FILE
    Write to FILE or stdout if omitted

    [default: -]

--recipient-file=KEY_FILE
    Decrypt the message using the key in KEY_FILE

--session-key=SESSION-KEY
    Decrypt an encrypted message using SESSION-KEY

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Print the packets of a certificate.

    sq packet dump juliet.pgp

Print the packets including cryptographic artifacts of a certificate.

    sq packet dump --mpis juliet.pgp

Print the packets including a dump of every byte of a certificate.

    sq packet dump --hex juliet.pgp

Prints the packets of an encrypted message, decrypting it using a secret key file.

    sq packet dump --recipient-file bob-secret.pgp message.pgp

SEE ALSO
sq(1), sq-packet(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.0.0 (sequoia-openpgp 1.22.0)